package _VisualDVM.Visual.Menus.MainMenuBar.VisualiserSettingsMenu;
import _VisualDVM.Global;
import _VisualDVM.Visual.Menus.SettingsSubmenu;
import _VisualDVM.GlobalData.Settings.SettingName;
public class CompactnessSettingsMenu extends SettingsSubmenu {
    public CompactnessSettingsMenu(){
        super("Компактность отображения", null,
                SettingName.SmallScreen,
                SettingName.ShowFullTabsNames,
                SettingName.ShowFullArraysDeclarations,
                SettingName.FastAccessPassesCount,
                SettingName.LastOpenedProjectsCount
        );
        addSeparator();
        String [] propertiesNames = new String[]{
            //    "collapseCredentials",
                "collapseProjectTrees",
                "collapseFileGraphs",
                "collapseFileMessages"
        };
        for (String name: propertiesNames){
            Global.properties.addFlagMenuItem(this, name);
        };
    }
}
